# Dice Selection Plugin

This unofficial TaleSpire plugin that allows you to open a generic or character specific menu with different roll combos
(different dice with different modifiers). Clicking any of the options in the menu will prepare the related dice in the
dice tray and display the result with the combo name and add/subtract any modifier.

## Change Log

2.0.0: Fix afetr BR HF Integration update
1.2.1: Added Beyond Link Server LinkData handler files to "teach" Beyond Link Server how to create DSM files from the
       collected data. The additional files are only used if the user is using Beyond Link via Chrome plugin to get
	   character sheet data from a external source. No change to the actual plugin (remains at version 1.2.0)
1.2.0: Reloaded character data periodically to allow roll macros to be updated
       in near real time. Ideal for use with plugins like the Beyond Link via
	   Chrome plugin.
1.1.0: Adds support for multiple columns when there are lots of roll macros
1.0.2: Support for the ? formula which prompts the user for a roll formula
1.0.0: Initial release

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

Press the keyboard shortcut (default LCTRL+D) to open the dice roll menu. If no character is selected or the selected
character does not have a corresponding DSM dice selection file, the default roll macros will be displayed. If the
selected character has a corresponding DSM dice selection file (based on character name) then those roll macros will be
used instead.

Clicking any of the menu selection will load those dice into the dice tray and when the dice are rolled the name of the
dice macro is displayed as well as any modifier is applied. Dice cleanup is manual.

### Settings

The rate at which the Charcter Data is refreshed can be set (default 5000ms) in the R2ModMan configuration for this plugin.
The number of entries per column can be can be set (default 11) in the R2ModMan configuration for this plugin.

### Beyond Link Server

The is no action needed to combine this plugin with the Beyond Link via Chrome plugin. When the Beyond Link via Chrome plugin
is started, it automatically starts the Beyond Link Sever which will find this plugin and automatically make DSM files for
the collected data.